Package: org.grails.plugins

## [Java] Class PluginFilterRetriever

- org.grails.plugins.PluginFilterRetriever

-     public class PluginFilterRetriever
      extends java.lang.Object

  Implements mechanism for figuring out what `PluginFilter` implementation to use based on a set of provided configuration properties.

  Authors:
    Phil Zoio
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public PluginFilter` | `getPluginFilter(Config config)`
    `` | `PluginFilter` | `getPluginFilter(java.lang.Object includes, java.lang.Object excludes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public PluginFilter getPluginFilter(Config config)

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) PluginFilter getPluginFilter(java.lang.Object includes, java.lang.Object excludes)